> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Topics

> Retrieve a list of all available webhook event types (topics) that you can subscribe to.

Retrieve a list of all available webhook event types (topics) that you can subscribe to.

### Sample Request

```bash theme={null}
curl --location 'https://api.paytring.com/api/v2/webhook/topics' \
--user '<API_KEY>:<API_SECRET>'
```

### Sample Response

```json theme={null}
{
    "status": true,
    "data": [
        {
            "name": "order.paid",
            "description": "Triggered when an order is successfully paid."
        },
        {
            "name": "order.failed",
            "description": "Triggered when a payment attempt fails."
        }
    ]
}
```


## OpenAPI

````yaml POST /api/v2/webhook/topics
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/webhook/topics:
    post:
      tags:
        - Webhook V2
      summary: List Topics
      description: >-
        Retrieve a list of all available webhook event types (topics) that you
        can subscribe to.
      operationId: list-webhook-topics
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        description:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````